MessageSendEvent (Axis API)
Keywords: org.apache.axis.ime.event.MessageSendEvent,MessageSendEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.event
Class MessageSendEvent

    java.lang.Object
      |
      +--org.apache.axis.ime.event.MessageCorrelatedEvent
            |
            +--org.apache.axis.ime.event.MessageSendEvent

All Implemented Interfaces:
  MessageExchangeEvent, java.io.Serializable

public class MessageSendEvent
extends MessageCorrelatedEvent

The MessageSendEvent is used to indicate that a message has been dispatched.

Author:
  Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageExchangeSendContext` | `sendContext`

Fields inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`context, correlator`

Constructor Summary
`MessageSendEvent(MessageExchangeCorrelator correlator, MessageExchangeSendContext sendContext, MessageContext context)`

Method Summary
`MessageExchangeSendContext` | `getMessageExchangeSendContext()`

Methods inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`getMessageContext, getMessageExchangeCorrelator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sendContext

    protected MessageExchangeSendContext sendContext

Constructor Detail

### MessageSendEvent

    public MessageSendEvent(MessageExchangeCorrelator correlator,
                            MessageExchangeSendContext sendContext,
                            MessageContext context)

Method Detail

### getMessageExchangeSendContext

    public MessageExchangeSendContext getMessageExchangeSendContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.